Name:          conv-tools
Version:       20160905
Release:       3%{?dist}
Summary:       Tools for converting mixed-encoding content to UTF-8

License:       BSD
Group:         System Environment/Base
URL:           https://github.com/dag-erling/conv-tools
Source0:       https://github.com/dag-erling/conv-tools/releases/download/%{version}/conv-tools-%{version}.tar.gz

%description
The mixconv utility reads a mixed-encoding text file, analyzes each
line to determine whether it is in 7-bit ASCII, an 8-bit encoding,
UTF-8 or WTF-8, converts everything to UTF-8 and prints the result to
standard output.

The dirconv utility scans a directory structure, analyzes each file
and directory name to determine whether it is in 7-bit ASCII, an 8-bit
encoding, UTF-8 or WTF-8, converts everything to UTF-8, and renames
the files and directories accordingly.

The conv-tools utilities were originally written for for one-off use
at the University of Oslo and subsequently released under the 3-clause
BSD license.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}


%files
%defattr(-, root, root, -)
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc README
%{_bindir}/mixconv
%{_bindir}/dirconv
%{_mandir}/man1/mixconv.1*
%{_mandir}/man1/dirconv.1*


%changelog
* Tue Jan 29 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 20160905-3
- Release bump for ARM build

* Tue Jan 16 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 20160905-2
- Changed summary

* Mon Dec 18 2017 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 20160905-1
- Initial build
